# Enable hotlink protection

This function adds hotlink protection for a site. Hotlink protection will redirect users to another URL if they navigate to a file with a specified extension, but an allowed URL did not refer them.

Important:

  When you disable the WebServer role, the system disables this function.

Endpoint: GET /Mime/add_hotlink
Version: 11.138.0.19
Security: BasicAuth

## Query parameters:

  - `extensions` (string, required)
    File types to hotlink protect.

Note:

To protect multiple file types, use a comma-separated list.

  - `redirect_url` (string, required)
    The URL to which the system sends hotlinkers.
    Example: "http://redirect.example.com/"

  - `urls` (string, required)
    The site to hotlink protect.

Note:

To protect multiple URLs, separate each URL with a newline character.

  - `allow_null` (integer)
    Whether the domain allows hotlinks.
* 1 - Allows.
* 0 - Does not allow.
    Enum: 0, 1

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "add_hotlink"

  - `module` (string)
    The name of the module called.
    Example: "Mime"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


